package com.xinelu.manage.mapper.aiob;

import com.xinelu.common.annotation.DataSource;
import com.xinelu.common.enums.DataSourceType;
import com.xinelu.manage.domain.aiob.AIOBCallbackEntity;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * @description 阿里云服务器百度外呼回调Mapper接口
 * @Author haown
 * @Date 2025-12-23 15:45
*/

public interface AIOBCallbackMapper {

	List<AIOBCallbackEntity> getList(AIOBCallbackEntity query);

	Integer updateReadState(@Param("readState")Integer readState, @Param("id")Integer id);

	Integer deleteData();
}
